package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: sop执行时间 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/17
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SopPlanTimeResult implements Serializable {

    @ApiModelProperty(value = "sop类型")
    TFCustomTypeEnum type;

    @ApiModelProperty(value = "计划开始时间")
    Long beginTime;

    @ApiModelProperty(value = "计划结束时间")
    Long endTime;

    public SopPlanTimeResult() {

    }

    public SopPlanTimeResult(TFCustomTypeEnum type, Long beginTime, Long endTime) {
        this.type = type;
        this.beginTime = beginTime;
        this.endTime = endTime;
    }

    public TFCustomTypeEnum getType() {
        return type;
    }

    public void setType(TFCustomTypeEnum type) {
        this.type = type;
    }

    public Long getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Long beginTime) {
        this.beginTime = beginTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }
}
